Get AI agent
GET
/api/v1/workspaces/{workspace_id}/ai_agents/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/ai_agents/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/ai_agents/1 \ --header 'Authorization: Bearer <token>'Retrieves a single AI agent by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
AI agent ID
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
company_name
required
string
company_overview
required
string
tone
required
string
guidelines
required
string
brand_guidelines_document_name
required
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "id": 12345, "name": "My AI Agent", "company_name": "My Company", "company_overview": "My Company is a company that makes widgets.", "tone": "My Company is a company that makes widgets.", "guidelines": "My Company is a company that makes widgets.", "brand_guidelines_document_name": "My Company Brand Guidelines", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z"}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}